Đến nội dung


Hình ảnh

Thắc mắc về chỉnh sửa đường mline


  • Please log in to reply
16 replies to this topic

#1 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 25 March 2014 - 04:35 PM

Chào các bác.

Em có rắc rối nhỏ là sau khi vẽ em vào mlstyle thì không chọn modify để đổi các nét của mline đó được nữa. Lỡ tay vẽ rất nhiều mline như vậy rồi mà đường tâm của ống chọn sai, giờ em muốn sửa nó thì làm thế nào ạ? Không phải vẽ lại tốn nhiều thời gian. Em xin post một cái ống em đã vẽ điển hình cho các bác giúp em nhé. Em muốn đổi màu tâm thành số 8 và chọn nét khác. Chân thành cảm ơn các bác.

http://www.cadviet.c...ne_ong_nuoc.dwg


  • 0

#2 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 25 March 2014 - 09:05 PM

Thay đổi mầu : Gõ layer....

Thay  đổi các thứ ba lăng nhăng khác : Chọn đối tượng >>> Nhấn Ctrol + 1

.....rồi tự mầy mò, chúc anh gặp  vui nhiều!


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#3 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 March 2014 - 07:49 AM

- Đầu tiên xin lỗi Hoằn vì mình đã bấm nhầm làm bạn bị trừ 1 điểm rồi.

- Nhân tiện xin hỏi các bác cadviet.com là có cách nào để nhấn +1 cho bài đã bị -1 không. mạng net nhà  em rởm quá nó không hiện cái hình lên, khi em bấm vào nút trả lời trực tiếp thì bị nhầm vào nút "bài này dở". Giờ em hết dám bấm trả lời trực tiếp nữa.

- Em dùng lệnh layer chỉ đổi được màu bylayer thôi. còn cái mline đã tạo đường tâm là red rồi không đổi màu được. Có cách nào chỉnh sửa trong modify của style thì mới được. Còn bấm MO thì không có nhiều thông tin để chỉnh sửa lắm. Nhất là cái mlstyle đã bị khoá khi mình vẽ mline đầu tiên rồi.


  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 26 March 2014 - 08:18 AM

 Nhân tiện xin hỏi các bác cadviet.com là có cách nào để nhấn +1 cho bài đã bị -1 không.

Bấm +1 vào bài khác để đền tội. Còn 1 bài thì chỉ hoặc hay hoặc dở, không có chuyện vừa hay vừa dở, tuy đôi lúc đoạn này hay mà đoạn kia dở.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 411 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 26 March 2014 - 08:26 AM

Mình vừa giúp bạn cái -1 đó thành 0 rồi nhé :D, ko phải lo lắng Hoằn :zận zỗi" nữa :))


  • 2

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 26 March 2014 - 08:28 AM

mlstyle không cho modify style nếu style đó đã có đối tượng được vẽ. Cách là: tạo 1 mlstyle khác ưng ý, vẽ 1 đường bất kỳ, sau đó Match Properties chúng.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 March 2014 - 08:51 AM

Bác Doan Van Ha oi! em tạo cái mline mới style mới ưng ý nhưng MATCHPROP vẫn không giống nhau được. Vậy bó tay nó rồi, cái file em gửi ở đầu topic đó. cái đường tâm màu đỏ rồi không sửa được nữa. chỉ đổi được layer của hai đường biên ngoài vì nó là màu bylayer thôi. cái đường tâm người ta mặc định màu đỏ mất rồi. giờ mà vẽ lại toàn bản vẽ chắc đuối. Bản vẽ của người khác vẽ nữa chứ.


  • 0

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 26 March 2014 - 09:02 AM

Tạo 1 style Mline mới ưng ý ở 1 file mới khác - Tên trùng với tên Style của Mline bản vẽ này - Copy toàn bộ bản vẽ này qua bản vẽ mới


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 March 2014 - 09:55 AM

Em đã làm thử như bác ketxu rồi. nhưng ở bản vẽ ban đầu nó là style PIPE. Em tạo ở bản vẽ khác một style PIPE ưng ý rồi copy mline bị lỗi sang bản vẽ mới thì nó tự động tạo thành PIPE1. Vẫn không được bác à. Bác làm thử được thì hướng dẫn em với.


  • 0

#10 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 26 March 2014 - 10:49 AM

- Đầu tiên xin lỗi Hoằn vì mình đã bấm nhầm làm bạn bị trừ 1 điểm rồi.

- Nhân tiện xin hỏi các bác cadviet.com là có cách nào để nhấn +1 cho bài đã bị -1 không. mạng net nhà  em rởm quá nó không hiện cái hình lên, khi em bấm vào nút trả lời trực tiếp thì bị nhầm vào nút "bài này dở". Giờ em hết dám bấm trả lời trực tiếp nữa.

- Em dùng lệnh layer chỉ đổi được màu bylayer thôi. còn cái mline đã tạo đường tâm là red rồi không đổi màu được. Có cách nào chỉnh sửa trong modify của style thì mới được. Còn bấm MO thì không có nhiều thông tin để chỉnh sửa lắm. Nhất là cái mlstyle đã bị khoá khi mình vẽ mline đầu tiên rồi.

 

1- Bấm nhầm là chuyện thường em Hoằn không bao giờ giận ai cả, vào diễn đàn vui là chính mà!

Hoằn chưa bao giờ bấm dấu trừ cho ai cả, có gì cần trao đổi hay góp ý em viết bài spam :) :) :)  cho vui. Cũng có đôi lần em bấm nhầm dấu trừ, xong em lại lôi Hoan2182 ra để ...chữa cháy luôn! (Hoằn là tên anh Ketxu vô tình khi gõ  Hoan 2182 mà không gõ dấu cách đặt cho em, em rất thích tên là Hoằn)  :) :) :)

2- Ml style vẫn cho  modify style bình thường nếu như anh không tick chọn vào ô Display Joints .

Một khi anh tick chọn nhầm ... ô Display Joints, AutoCAD nó sẽ cho mất điện luôn.

Theo em thì anh không cần đổi layer đường tâm mầu đỏ là gì, vì theo tiêu chuẩn quả đất quy định đường tâm phải vẽ nét mầu đỏ.

3- Còn anh thích đổi mầu hoặc tăng giảm khoảng cách giữa hai đường // hoặc tăng giảm độ mau thưa của trục tâm thì chịu khó làm theo cách sau:

gggg_zpsaac2d88c.gif


  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#11 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 March 2014 - 11:58 AM

- Vậy em mới đau cái đầu chứ. Bản vẽ của đối tác gửi. Công ty em lại bắt buộc là đường tâm màu số 8. Vì đã set nét in theo màu và dùng chung hồi giờ.

- Còn ô Display Joints chỉ là để đóng các mline lại khi mình kick point thôi. Một khi đã vẽ rồi thì em vẫn chưa có cách để modify. Chắc cad hạn chế mình sửa điều này.


  • 0

#12 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 March 2014 - 03:06 PM

Lisp giúp được không các bác?

-Ý tưởng của em là thay thế cái mline cũ bằng mline mới. Scale và layer giữ nguyên. Chỉ khác là đổi thành style mới hoàn toàn. Trình của em chưa viết được lisp như vậy. Mong các bác giúp.


  • 0

#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 26 March 2014 - 04:47 PM

Lisp Modify các Mline trên bản vẽ theo Mlstyle Current.

Cách sử dụng:

1). Tạo Mlstyle theo ý muốn, sau đó Set Current.

2). Dùng Lisp.

; Doan Van Ha - CadViet.com - 26/3/2014
; Chuc nang: Modify cac Mline hien huu theo Mlstyle Current.
; Huong dan su dung:
; 1). Tao Mlstyle theo y muon va Set Current.
; 2). Load Lisp, sau do dung lenh HA de Modify.
(defun C:HA(/ msp ss i ent lst)
 (vl-load-com)
 (setq msp (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
 (setq ss (ssget '((0 . "Mline"))))
 (repeat (setq i (sslength ss))
  (setq ent (ssname ss (setq i (1- i))))
  (setq lst (apply 'append (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 11)) (entget ent)))))
  (vla-AddMline msp (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble (cons 0 (1- (length lst)))) lst))
  (entdel ent))
 (princ)) 
 


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#14 trumlenmang

trumlenmang

    biết lệnh trim

  • Members
  • PipPipPip
  • 193 Bài viết
Điểm đánh giá: 29 (tàm tạm)

Đã gửi 26 March 2014 - 05:01 PM

Bác Doan Van Ha làm cho scale và layer không đổi được không bác. Sau khi em dùng lisp của bác nó về scale 1  và layer hiện hành hết rồi.


  • 0

#15 chanhung_999

chanhung_999

    biết vẽ arc

  • Members
  • PipPip
  • 42 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 March 2014 - 05:02 PM

1- Bấm nhầm là chuyện thường em Hoằn không bao giờ giận ai cả, vào diễn đàn vui là chính mà!

Hoằn chưa bao giờ bấm dấu trừ cho ai cả, có gì cần trao đổi hay góp ý em viết bài spam  :)  :)  :)  cho vui. Cũng có đôi lần em bấm nhầm dấu trừ, xong em lại lôi Hoan2182 ra để ...chữa cháy luôn! (Hoằn là tên anh Ketxu vô tình khi gõ  Hoan 2182 mà không gõ dấu cách đặt cho em, em rất thích tên là Hoằn)   :)  :)  :)

2- Ml style vẫn cho  modify style bình thường nếu như anh không tick chọn vào ô Display Joints .

Một khi anh tick chọn nhầm ... ô Display Joints, AutoCAD nó sẽ cho mất điện luôn.

Theo em thì anh không cần đổi layer đường tâm mầu đỏ là gì, vì theo tiêu chuẩn quả đất quy định đường tâm phải vẽ nét mầu đỏ.

3- Còn anh thích đổi mầu hoặc tăng giảm khoảng cách giữa hai đường // hoặc tăng giảm độ mau thưa của trục tâm thì chịu khó làm theo cách sau:

gggg_zpsaac2d88c.gif

  • rep_up.png
  •  
  • rep_down.png
  •  
  • 0
Cần bán máy phát điện Tokyo Japan 170 KVA, giá : 225 triệu VND, xem thông tin chi tiết tại đây: http://www.cadviet.c...showtopic=67305
Đức hạnh lớn nhất mà bên cạnh đó, mọi đức hạnh khác đều mờ nhạt đi, đó là không làm hại ai và tùy sức mà giúp đỡ mọi người "
Em nóđây:http://www.cadviet.c...40-----------------------------------------------------------------------------------------Không nên đi đường tắt, hãy chọn một còn đường thẳng thắn!
 
Hỏi Bác hoan2182 dùng phần mềm gì để làm quay và úp lên được như thế này vậy?
  • 0

#16 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 26 March 2014 - 07:38 PM

Cách của Ket lúc được lúc không, chưa rõ lý do ^^

Sửa lisp trên thì chắc không khó. Có điều, Dùng Mline cái hay là để edit các đỉnh giao một cách dễ dàng, nếu dùng lisp e k dễ dàng tái tạo lại được những chỗ giao nhau này :)

Nếu chỉ phục vụ in ấn, mình nghĩ bạn cũng có thể tạm thời Explode nó ra rồi qselect, chỉnh để in ^^


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#17 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 26 March 2014 - 08:22 PM

Theo em là cách làm của bác Ketxu là văn minh nhất, chỉ cần tắt hết các lớp không dùng đến, chỉ để lại lớp cần sửa rồi ...E ...xờ là đẹp!

 

Hỏi Bác hoan2182 dùng phần mềm gì để làm quay và úp lên được như thế này vậy?

 

Em nó đây ạ! : http://forum.bkav.co...bien-tap-Video-

 

Ngoài việc làm ảnh động ra nó còn có chức năng trích đoạn video, rất tiện lợi vì nhiều khi chỉ cần xem một đoạn mùi mẫm nhất, thân tặng anh trích đoạn này, anh vặn loa lên nhé!

 


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...